# Extraction à partir des prénoms
#
module Namesplit
  def self.with_first_names
    words = @full_name.split(" ")

    first_name = ""
    words.each do |word|
      next unless FIRST_NAMES.include?(titleize(word))

      first_name << " " + word
    end

    return if first_name == ""
    first_name.strip! && first_name.split(" ").each { |w| words.delete(w) }
    @result.first_names = first_name
    @result.last_name = words.join(" ")
    @result.quality = 0.9
  end
end
