# Nettoie le string envoyé par l'utilisateur et renvoyée par la suite.
#
module Namesplit
  private

  # Private : Nettoe la ponctuation du string.
  #
  def self.clean(full_name)
    @full_name = full_name.to_s
    @full_name.gsub!(/!|\.|,|\?|\(|\)|\s\-\s/, " ")
    @full_name.gsub!(/\s+/, " ")

    @result.full_name = titleize(@full_name)
  end

  def self.clean_output
    @result.first_names = titleize(@result.first_names)
    @result.first_name = @result.first_names.split(" ")[0]
    @result.last_name = titleize(@result.last_name)

    @result
  end
end
